core::posix::wait Namespace Reference

## Classes

struct | Result
| The Result struct encapsulates the result of waiting for a process state change. More...

## Enumerations

enum | Flags : std::uint8_t { Flags::continued = WCONTINUED, Flags::untraced = WUNTRACED, Flags::no_hang = WNOHANG }
| Flags enumerates different behavior when waiting for a child process to change state. More...

## Functions

CORE_POSIX_DLL_PUBLIC Flags | operator| (Flags l, Flags r)

## Enumeration Type Documentation

## Flags

enum core::posix::wait::Flags : std::uint8_t

strong

Flags enumerates different behavior when waiting for a child process to change state.

Enumerator
continued | Also wait for a child to continue after having been stopped.
untraced | Also wait for state changes in untraced children.
no_hang | Do not block if a child process hasn't changed state.

Definition at line 42 of file wait.h.

## Function Documentation

## operator|()

Flags core::posix::wait::operator| | ( | Flags | l,
|  | Flags | r
| ) |  |

Definition at line 27 of file wait.cpp.